> For the complete documentation index, see [llms.txt](https://docs.lhv.com/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lhv.com/home/connect/services/messages/get-list-of-requests.md).

# Get list of requests

## Service Description

Use this service to retrieve a list of requests you have previously submitted. Use additional filters where applicable to narrow down the result set.

## Request

<mark style="color:green;">`GET`</mark> <https://connect.lhv.com/v2/requests>

### Parameters

All parameters are optional.

<table><thead><tr><th width="173.73828125">Name</th><th width="194.3984375">Value</th><th>Description</th></tr></thead><tbody><tr><td><code>pageSize</code></td><td><code>integer</code></td><td>Number of results per page. Max value is 1000.</td></tr><tr><td><code>pageNumber</code></td><td><code>integer</code></td><td>Page number of results to return.</td></tr><tr><td><code>startDate</code></td><td><code>string</code></td><td><code>YYYY-MM-DD</code> Filter requests submitted on or after this date.</td></tr><tr><td><code>endDate</code></td><td><code>string</code></td><td><code>YYYY-MM-DD</code> Filter requests submitted on or before this date.</td></tr><tr><td><code>clientCode</code></td><td><code>string</code></td><td>Filter by client code.</td></tr><tr><td><code>clientCountry</code></td><td><code>string</code></td><td>Filter by client country.</td></tr></tbody></table>

### Headers

<table><thead><tr><th width="174.95703125">Name</th><th width="193.484375">Value</th><th>Description</th></tr></thead><tbody><tr><td>Client-Code</td><td><code>customer value</code></td><td>For Service Providers only. Company registration code of the Service Provider or its customer. When using the Service Provider own value also related customers messages are returned by default</td></tr><tr><td>Client-Country</td><td><code>customer value</code></td><td>For Service Providers only. Should match the value of Client-Code</td></tr></tbody></table>

### Body

This request doesn't have a body.

## Response

<table><thead><tr><th width="174.95703125">Name</th><th width="193.484375">Value</th><th>Description</th></tr></thead><tbody><tr><td>Content-Type</td><td><code>application/json</code></td><td>Format of the message body</td></tr><tr><td>X-Bank-Code</td><td><code>LHVUK</code>, <code>LHVEE</code></td><td>LHV Bank entity</td></tr></tbody></table>

### Body

{% tabs %}
{% tab title="200 - list of requests" %}
{% hint style="success" %}
OK
{% endhint %}

```json
{
    "messages": [
        {
            "messageRequestId": "REQ57287e59df1148f885a9a5ca2367bac5",
            "messageResponseType": "ACCOUNT_STATEMENT",
            "clientCode": "123123123",
            "clientCountry": "GB",
            "messageCreatedTime": "2025-05-19T11:07:26.765+01:00",
            "bankCode": "LHVUK"
        },
        {
            "messageRequestId": "REQ95b0e3c4a4f04a30b8a3f601a3ef9b17",
            "messageResponseType": "PAYMENT",
            "clientCode": "123123123",
            "clientCountry": "GB",
            "messageCreatedTime": "2025-05-19T12:05:26.765+01:00",
            "bankCode": "LHVUK"
        },
		....
        {
            "messageRequestId": "REQd9b5d09b18a54660ab5b7c75dfed0d5c",
            "messageResponseType": "ACCOUNT_STATEMENT",
            "clientCode": "123123123",
            "clientCountry": "GB",
            "messageCreatedTime": "2025-05-19T12:08:26.765+01:00",
            "bankCode": "LHVUK"
        }
    ]
}
```

{% endtab %}

{% tab title="204 - no requests" %}
{% hint style="info" %}
No content
{% endhint %}
{% endtab %}

{% tab title="403 - error " %}
{% hint style="danger" %}
Error code and description
{% endhint %}

```json
<Errors>
    <Error>
        <ErrorCode>FORBIDDEN</ErrorCode>
        <Description>User doesn't exist</Description>
    </Error>
</Errors>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lhv.com/home/connect/services/messages/get-list-of-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
